# spec file for perl-Proc-Daemon
#
# Copyright (c) 2006-2015 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global perlname Proc-Daemon

Name:      perl-Proc-Daemon
Version:   0.19
Release:   1%{?dist}
Summary:   Run Perl program as a daemon process 

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/Proc-Daemon/
Source:    http://search.cpan.org/CPAN/authors/id/A/AK/AKREAL/%{perlname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Proc::ProcessTable)
BuildRequires: perl(Test::More)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  perl(Proc::ProcessTable)

%{?perl_default_filter}


%description
This is version %{version} of Proc::Daemon

This module contains the routine Init which can be called by a Perl 
program to initialize itself as a daemon. A daemon is a process that
runs in the background with no controlling terminal. Generally servers
(like FTP and HTTP servers) run as daemon processes.


%prep
%setup -q -n %{perlname}-%{version}

mv Changes Changes.orig
iconv -f ISO-8859-1 -t UTF-8 Changes.orig | sed -e 's/\r//' >Changes
touch -r Changes.orig Changes


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';' -print
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';' -print
chmod -R u+rwX,go+rX,go-w %{buildroot}/*


%check
make test


%files
%doc Changes README.md
%{_mandir}/man3/Proc*
%{perl_vendorlib}/Proc


%changelog
* Sun Mar 22 2015 Remi Collet <remi@fedoraproject.org> - 0.19-1
- update to 0.19
  http://cpansearch.perl.org/src/AKREAL/Proc-Daemon-0.19/Changes

* Tue Feb  3 2015 Remi Collet <remi@fedoraproject.org> - 0.18-1
- update to 0.18
  http://cpansearch.perl.org/src/AKREAL/Proc-Daemon-0.18/Changes

* Wed Dec 18 2013 Remi Collet <remi@fedoraproject.org> 0.14-9
- fix pidfile with mode 666, patch from debian, CVE-2013-7135
- update to 0.14
  http://cpansearch.perl.org/src/DETI/Proc-Daemon-0.14/Changes
- fix wrong-file-end-of-line-encoding and file-not-utf8

* Wed Jan 19 2011 Remi Collet <Fedora@famillecollet.com> 0.06-1
- update to 0.06

* Fri Oct 29 2010 Remi Collet <Fedora@famillecollet.com> 0.05-1
- update to 0.05
- add BR: perl(Proc::ProcessTable) and BR: perl(Test::More)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-2.2
Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-1.2
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Sat Feb 11 2006 Remi Collet <Fedora@famillecollet.com> 0.03-1
- initial spec for Extras
